Sety
  1. Threat Intelligence
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Threat Intelligence

Safety score

GET
/safety/score
Real-time safety score (0–100) for a location based on recent incident
history. Use this before dispatching a driver, approving a delivery zone,
or surfacing a risk warning to your user.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Safety score
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/safety/score?latitude&longitude&radius_km' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "location": {
        "latitude": 6.4281,
        "longitude": 3.4219
    },
    "score": 72,
    "level": "moderate",
    "color": "yellow",
    "breakdown": {
        "recent_incidents_7d": 1,
        "recent_incidents_30d": 4,
        "trend": "stable"
    },
    "timestamp": "2026-03-10T14:22:00.000Z"
}
Modified at 2026-03-10 02:58:15
Previous
Heatmap data
Next
Route safety analysis
Built with